/*-------------------- {Allgemein} Body -----------------------*/
html, body {
	font-family: helvetica, sans-serif;
	font-size:100%;
	margin: 0;
	padding: 0;
	width: 100%;
	scroll-behavior: smooth;	
}

/*---------------------- {Text und Links} -----------------------*/
h1 {font-size: 1.5em; color: #2f2; }
h2 {font-size: 1.2em; color: #262;}
h3 {font-size: 1.1em; color: #6a6; text-decoration: underline;}

/*----------------------{Fehler und Info Meldungen}------------------------*/
.fehlmsg {font-size:0.90em;color:#c43;}

.notifmsg {font-size:0.90em;color:#496;}

header {
	background: url(../img/logo1_klein.jpg) repeat;
	text-align: center;
	text-shadow: 0.35em 0.35em 0.30em #6a6;
	color: #2f2;
	height: 8.8em;
	width: 100%;	
	position: relative;
	z-index: 1;
}

main {
	display: grid;
	height: 100%;
	gap: 1.2em;
	padding: 0.8em;
	background: #efe;	
}

.newsite-body {
	background-image: url("../img/background_banner.jpg");	
}

aside, .box {
	border-radius: 1em;
	border: 0.1em solid black;
	padding: 0.8em;	
	margin-top: 0.8em;
	margin-bottom: 0.8em;
}

aside {
	background: #6a6;	
	border-color: #141;	
}

aside ul {
    width:100%;
    list-style-type:none;
    list-style-position:outside;
    margin:0;
    padding:0;
	text-align:left;
}

aside li {
    padding:0.7em; 
    border-bottom:0.1em solid #efe;
    position:relative;
}

.box {
	background: #6a6;
	border-color: black;	
}

.center {
	text-align: center;
}

aside img {
	max-width: 100%;
	height: auto;
	width: auto;
	border-radius: 1em;
}

aside a {
	background-color: #6a6; 
	color: #369;
}

aside a:hover {
	background-color: #efe;
	color: #141;	
}

.disclaim {
	background-color: #efe;
	color: #141;
	padding: 1em;
}

.disclaim h2 {
	color: #6a6;
}

.disclaim h3 {
	color: #396;
}

.disclaim a {
	background-color: #efe;
	color: #369;
}

.disclaim a:hover {
	background-color: #141; 
	color: #efe;
}

.db_meldung {
	background-color: #6a6;	
}

button.more {
	display: none;
}

#dots {
	display: none;	
}

#more {
	display: inline;	
}

/*----------------------------------------- Gästebuch -----------------------------------------*/

mark { 
	background-color: #efe;
	color: black;
}

.guesteintrag {
	border: 0.1em solid #efe;	
	padding: 0.32em;
}

/*----------------------------------------- Beginn Navigation -----------------------------------------*/

nav {
	background-image: linear-gradient(90deg, #141 0%, #cfc 95%);
	border-top: 0.1em solid transparent;
	border-bottom: 0.1em solid transparent;
	border-image: linear-gradient(to right, #cfc , #6a6);
	border-image-slice: 1;
	display: flex;
	width: 99.9%;
	position: sticky;
	top:0;
	z-index: 1; 
	text-shadow: 0.35em 0.35em 0.35em; 
}

nav li a {
	color: #cfc;
	display: block;
	text-decoration: none;	
	padding: 1em 1em;
	font-size: 1em;
}

nav li a:hover {
	color: #141;
	background-color: #cfc;	
}

nav ul {
  margin: 0;
  padding: 0;
  list-style: none;
  overflow: hidden;
}

nav .menu {
  clear: both;
  max-height: 0;
  transition: max-height .2s ease-out;
}

nav .counterbox {	
	width: 15em;
	text-align: right;
	right: 3em;
	position: absolute;
}

nav .menu_icon {
  cursor: pointer;
  display: inline-block;
  float: right;
  padding: 1.75em 1.25em;
  position: relative;
  user-select: none;
}

nav .menu_icon .nav_icon {
  background:#efe;
  display: block;
  height: 0.125em;
  position: relative;
  transition: background .2s ease-out;
  width: 1.125em;
}

nav .menu_icon .nav_icon:before,
nav .menu_icon .nav_icon:after {
  background: #efe;
  content: '';
  display: block;
  height: 100%;
  position: absolute;
  transition: all .2s ease-out;
  width: 100%;
}

nav .menu_icon .nav_icon:before {
  top: 0.32em;
}

nav .menu_icon .nav_icon:after {
  top: -0.32em;
}

nav .nav_change {
  display: none;
}

nav .nav_change:checked ~ .menu {
  max-height: 21.5em;
}

nav .nav_change:checked ~ .menu_icon .nav_icon {
  background: transparent;
}

nav .nav_change:checked ~ .menu_icon .nav_icon:before {
  transform: rotate(-45deg);
}

nav .nav_change:checked ~ .menu_icon .nav_icon:after {
  transform: rotate(45deg);
}

nav .nav_change:checked ~ .menu_icon:not(.steps) .nav_icon:before,
nav .nav_change:checked ~ .menu_icon:not(.steps) .nav_icon:after {
  top: 0;
}

/*---------------------------------------- Ende Navigation ---------------------------------------------- */

.headline {
	padding-top: 0.2em;
	margin: 0;	
	text-shadow: 0.35em 0.35em 0.30em #6a6; 
	text-align: center;
	height: 4em;
	background: linear-gradient(to right, #cfc, #111, #111, #6a6);
}

.sprungmarke {
	padding-top: 12em;
}

.parallax-window {
	min-height: 24em;
	background: transparent;
}

/* Create columns that floats next to each other */
.column {	
	float: left; 
	width: 33%;
	padding:0.1em;
}

.row {
	background-color: #efe;
}

/* Clear floats after the columns */
.row:after {
	content: "";
	display: table;
	clear: both;	
	background-color: #efe;
}

/*------------------------- {Bild} Alles rund um Bilder -----------------------------*/
div.imgHold div {
	float: left;
	width: 24em;
	height: 32em;	
}

div.imgHold img {
	width: 8.75em;  /* wir skalieren das große bild auf die kleine größe */
	height: 10.6em; /* um verpixelung beim vergößern zu verhindern       */	
	border-color: #6a6 #141;
	border-image: none;
	border-radius: 1em;
	border-style: solid;
	border-width: 0.18em;	
}

div.imgHold img:hover {
	position: relative;
	margin-left: -7.8em; /* die hälfte des größenunterschiedes der bilder */
	margin-top: -3.4em;  /* hier genau so */
	width: 24em;
	height: 32em;
}

div.img {
	border-radius: 1em;
}

.fb_logo {
	width: 5em;
	height: 1.6em;
}

.inst_logo {
	width: 2em;
	height: 2em;
}

.smilies img {
	width: 1.8em;
	/* border: 0.1em solid #efe; */
	padding: 0.1em;
}

/*------------------------------- Allgemein Visitenkarte -----------------------------*/
.card {
	background-color: #efe;
	border: 0.1em solid black;
	border-radius: 1em;
	width: 100%;
	height: 23em;	
}

.titel {
	background-color: #141;
	border: 0.1em solid #6a6;
	border-radius: 1em;
	text-align: center;
	height: 3.2em;
	margin-bottom: 0.5em;
	text-shadow: 0.35em 0.35em 0.35em; 	
}

.titel h2 {
	color: #2f2;
	text-shadow: 0.35em 0.35em 0.30em #6a6;
}

.cardbox_left {	
	width:40%;
	padding: 0 0 0 0.8em;
	color: #6a6;
	float:left;
	border-right: 0.1em solid transparent;
	border-image: linear-gradient(to bottom, #6a6 , #2f2);
	border-image-slice: 2;	
}

.cardbox_left h2 {
	color: #141;
}

.cardbox_left a {
	color: #6a6;
}

.cardbox_left a:hover {
	background-color: #6a6;
	color: #141;
}

.cardbox_center {
	width:100%;
	text-align:center;
}

.cardbox_right {
	width: 55%;
	text-align: center;
	height: 3.1em;
	float:right;
}

/*-----------------------Datenablage Privat----------------*/
body.priv {
	background-color: #efe;
}

figure {
  border: 0.1em #efe solid;
  border-radius: 1em;
  padding: 0.4em;
  margin: auto;
}

figcaption {
  background-color: #6a6;
  color: black;
  font-style: italic;
  padding: 0.2em;
  /* text-align: center; */
}

fieldset {
  border-color: #6a6;
  padding: 0.8em;
}

legend {
	color: #262;
}

/*----------------------{Fehler und Info Meldungen}------------------------*/
.fehlmsg {font-size:0.90em;color:#c43;}

.notifmsg {font-size:0.90em;color:#9dd;}

/*------------------------ Footer -------------------------*/
footer {
	height:1em;		
	padding: 1.3em;
	background-image: linear-gradient(95deg, #cfc 0%, #141 80%);	
	border-top:0.1em solid transparent;	
	border-image: linear-gradient(to right, #141 , #cfc);
	border-image-slice: 1;	
}
.footcol {	
	float: left; 
	width: 33.33%;
	color: #6a6;
}

.footcol a {	
	color: #cfc;
	text-decoration: none;
}
	 
.footcol a:hover {
	color: #141;
	background-color: #cfc;	
	text-decoration: none;
}


/*----------------------- {Footer} Uhr ----------------------*/

input.uhr {
	background: #6a6;	
	width: 4.2em;
	text-align: center;
	border: 0.1em solid #cfc;
	border-radius: 0.2em;
	color:#efe;	
}

/*----------------------- {Footer} Counter --------------------*/

.counter {
	background-color: #6a6;
	color: #efe;
	border-radius: 0.2em;
}

/*---------------------------Beginn media definitions ---------------------*/
/* Navigation Eigenschaften gross */
@media (min-width: 57.5em) {  
	
	nav {
		width: 100%;	
		position: sticky;
		position: -webkit-sticky;
		top: 0;
	}
	nav li {
	float: left;
	}
	nav li a {
	padding: 1.25em 1.875em;
	}
	nav .menu {
	clear: none;
	float: left;
	max-height: none;
	}
	nav .menu_icon {
	display: none;
	}
}

@media only screen and (min-width:37.5em) (max-width:57.5em){
	body { 
		font-size: 100%;
	}
	
	#more {
		display: none;	
	}

	#dots {
		display: inline;	
}

	button.more {
		position: relative;
		width: 7.5em;
		height: 1.5em;
		border-radius: 0.3em;
		cursor: pointer;
		border: none;	
		margin-left: 0.5em;
		display: inline;
		background-color: #ce6;
	}
}

@media (min-width: 35em) {  /* Breite beträgt mindestens 30em */	
	main {
		grid-template-columns: 1fr 3fr;
		grid-template-rows: auto 1fr 3em;
	}
}

/* Responsive layout - makes the three columns stack on top of each other instead of next to each other */
@media only screen and (max-width: 86em) { 
  .column  {
    width: 100%;	
  }
}

/* Spezielle Handy definitionen */
@media only screen and (max-width: 37.5em) { 

	div.imgHold img:hover {
		position: relative;
		margin-left: -6.25em; /* die hälfte des größenunterschiedes der bilder */
		width: 17em;
		height: 24em;
	}	
	
	#more {
		display: none;	
	}

	#dots {
	display: inline;	
}

	button.more {
		position: relative;
		width: 7.5em;
		height: 1.5em;
		border-radius: 0.3em;
		cursor: pointer;
		border: none;	
		margin-left: 0.5em;
		display: inline;
		background-color: #efe;
	}
}	

